
package com.tmerclub.cloud.product.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 * @date 2020/12/30
 */
public class SkuWithStockBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long id;

    private Long skuId;

    private Long spuId;
    private Long shopSpuId;

    private Integer count;

    private Integer zoneNo;

    public Long getShopSpuId() {
        return shopSpuId;
    }

    public void setShopSpuId(Long shopSpuId) {
        this.shopSpuId = shopSpuId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Integer getZoneNo() {
        return zoneNo;
    }

    public void setZoneNo(Integer zoneNo) {
        this.zoneNo = zoneNo;
    }

    @Override
    public String toString() {
        return "SkuWithStockBO{" +
                "id=" + id +
                ", skuId=" + skuId +
                ", spuId=" + spuId +
                ", shopSpuId=" + shopSpuId +
                ", count=" + count +
                ", zoneNo=" + zoneNo +
                '}';
    }
}
